Package ghidra.app.util.bin.format.macho.commands

# Record Class ExportTrie.ExportEntry

java.lang.Object
java.lang.Record
ghidra.app.util.bin.format.macho.commands.ExportTrie.ExportEntry

Record Components:
  `name` - The export name
  `address` - The export address
  `flags` - The export flags
  `other` - The export "other" info
  `importName` - The export import name (could be null if not a re-export)

Enclosing class:
  `ExportTrie`

public static record ExportTrie.ExportEntry(String name, long address, long flags, long other, String importName) extends Record
Creates a new `ExportTrie.ExportEntry`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExportEntry(String name, long address, long flags, long other, String importName)`
  Creates an instance of a `ExportEntry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `address()`
  Returns the value of the `address` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `flags()`
  Returns the value of the `flags` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `importName()`
  Returns the value of the `importName` record component.
  `boolean`
  `isReExport()`
  Check to see if the export is a "re-export"
  `String`
  `name()`
  Returns the value of the `name` record component.
  `long`
  `other()`
  Returns the value of the `other` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExportEntry

    public ExportEntry(String name, long address, long flags, long other, String importName)
    Creates an instance of a `ExportEntry` record class.
    Parameters:
      `name` - the value for the `name` record component
      `address` - the value for the `address` record component
      `flags` - the value for the `flags` record component
      `other` - the value for the `other` record component
      `importName` - the value for the `importName` record component

- ## Method Details

  - ### isReExport

    public boolean isReExport()
    Check to see if the export is a "re-export"
    Returns:
      True if re-export; otherwise, false

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### address

    public long address()
    Returns the value of the `address` record component.
    Returns:
      the value of the `address` record component

  - ### flags

    public long flags()
    Returns the value of the `flags` record component.
    Returns:
      the value of the `flags` record component

  - ### other

    public long other()
    Returns the value of the `other` record component.
    Returns:
      the value of the `other` record component

  - ### importName

    public String importName()
    Returns the value of the `importName` record component.
    Returns:
      the value of the `importName` record component